"""empty message

Revision ID: 70b51808bef3
Revises:
Create Date: 2019-06-12 08:52:18.489563

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '70b51808bef3'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('brands',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(), nullable=True),
                    sa.Column('name_text', sa.String(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_brands'))
                    )
    op.create_table('categories',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(), nullable=True),
                    sa.Column('name_text', sa.String(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_categories'))
                    )
    op.create_table('dept',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(), nullable=True),
                    sa.Column('name_text', sa.String(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_dept'))
                    )
    op.create_table('locations',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(), nullable=True),
                    sa.Column('name_text', sa.String(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_locations'))
                    )
    op.create_table('roles',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(length=255), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_roles'))
                    )
    op.create_table('status',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('code_text', sa.String(), nullable=True),
                    sa.Column('name_text', sa.String(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_status'))
                    )
    op.create_table('users',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('email', sa.String(length=255), nullable=False),
                    sa.Column('password_hash', sa.String(length=255), nullable=True),
                    sa.Column('username_text', sa.String(length=255), nullable=True),
                    sa.Column('registered_on', sa.DateTime(), nullable=True),
                    sa.Column('active_bool', sa.Boolean(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_users'))
                    )
    op.create_table('items',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('description_text', sa.String(), nullable=True),
                    sa.Column('address_text', sa.String(), nullable=True),
                    sa.Column('search_text', sa.String(), nullable=True),
                    sa.Column('status_date', sa.DateTime(), nullable=True),
                    sa.Column('status_id', sa.Integer(), nullable=True),
                    sa.Column('dept_id', sa.Integer(), nullable=True),
                    sa.Column('brand_id', sa.Integer(), nullable=True),
                    sa.Column('location_id', sa.Integer(), nullable=True),
                    sa.Column('category_id', sa.Integer(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.ForeignKeyConstraint(['brand_id'], ['brands.id'], name=op.f('fk_items_brand_id_brands')),
                    sa.ForeignKeyConstraint(['category_id'], ['categories.id'],
                                            name=op.f('fk_items_category_id_categories')),
                    sa.ForeignKeyConstraint(['dept_id'], ['dept.id'], name=op.f('fk_items_dept_id_dept')),
                    sa.ForeignKeyConstraint(['location_id'], ['locations.id'],
                                            name=op.f('fk_items_location_id_locations')),
                    sa.ForeignKeyConstraint(['status_id'], ['status.id'], name=op.f('fk_items_status_id_status')),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_items'))
                    )
    op.create_table('users_by_roles',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('user_id', sa.Integer(), nullable=True),
                    sa.Column('role_id', sa.Integer(), nullable=True),
                    sa.Column('created_time', sa.DateTime(), nullable=True),
                    sa.Column('created_by_id', sa.Integer(), nullable=True),
                    sa.Column('modified_time', sa.DateTime(), nullable=True),
                    sa.Column('modified_by_id', sa.Integer(), nullable=True),
                    sa.ForeignKeyConstraint(['role_id'], ['roles.id'], name=op.f('fk_users_by_roles_role_id_roles')),
                    sa.ForeignKeyConstraint(['user_id'], ['users.id'], name=op.f('fk_users_by_roles_user_id_users')),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_users_by_roles'))
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('users_by_roles')
    op.drop_table('items')
    op.drop_table('users')
    op.drop_table('status')
    op.drop_table('roles')
    op.drop_table('locations')
    op.drop_table('dept')
    op.drop_table('categories')
    op.drop_table('brands')
    # ### end Alembic commands ###
